import metodosFetch from "../app/metodosFetch.js?v=2.0.0";
import { CODEMPRESA } from "../app/constantes.js?v=2.0.0";

class Oficina {
  constructor() {}

  static async obtenerTodosPorSucursal({
    codempresa = CODEMPRESA,
    codsucursal = 0,
  }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/oficinaController",
        parametros: {
          accion: "obtenerTodosPorSucursal",
          codempresa,
          codsucursal,
        },
        loader: false,
      });

      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Oficina;
